OGRE-Next: Ogre::GLSLShaderFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::GLSLShaderFactory Class Referencefinal

Factory class for GLSL shaders. More...

`#include <OgreGLSLShaderFactory.h>`

Inheritance diagram for Ogre::GLSLShaderFactory:
[legend]

## Public Member Functions
| GLSLShaderFactory (const GL3PlusSupport &support)
| ~GLSLShaderFactory () override
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader) override
| Create an instance of GLSLProgram.
void | destroy (HighLevelGpuProgram *prog) override
const String & | getLanguage () const override
| Get the name of the language this factory creates shaders for.
Public Member Functions inherited from Ogre::HighLevelGpuProgramFactory
| HighLevelGpuProgramFactory ()
virtual | ~HighLevelGpuProgramFactory ()

## Detailed Description

Factory class for GLSL shaders.

## Constructor & Destructor Documentation

## ◆ GLSLShaderFactory()

Ogre::GLSLShaderFactory::GLSLShaderFactory | ( | const GL3PlusSupport & | support | ) |

## ◆ ~GLSLShaderFactory()

Ogre::GLSLShaderFactory::~GLSLShaderFactory | ( |  | ) |
| override

## Member Function Documentation

## ◆ create()

HighLevelGpuProgram * Ogre::GLSLShaderFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader )
| overridevirtual

Create an instance of GLSLProgram.

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ destroy()

void Ogre::GLSLShaderFactory::destroy | ( | HighLevelGpuProgram * | prog | ) |
| overridevirtual

Implements Ogre::HighLevelGpuProgramFactory.

## ◆ getLanguage()

const String & Ogre::GLSLShaderFactory::getLanguage | ( |  | ) | const
| overridevirtual

Get the name of the language this factory creates shaders for.

Implements Ogre::HighLevelGpuProgramFactory.

The documentation for this class was generated from the following file:

- OgreGLSLShaderFactory.h